using Microsoft.AspNetCore.Mvc.ModelBinding;
using System.ComponentModel.DataAnnotations;
using ZelWiki.Models.DataModels;

namespace ZelWiki.Models.ViewModels.Profile
{
    public class PublicViewModel : ViewModelBase
    {
        public string Navigation { get; set; } = string.Empty;
        public Guid Id { get; set; }

        [Display(Name = "用户名")]
        public string AccountName { get; set; } = string.Empty;

        [Display(Name = "个人简介")]
        public string Biography { get; set; } = string.Empty;

        [Display(Name = "头像")]
        [BindNever]
        public byte[]? Avatar { get; set; }

        [Required]
        [Display(Name = "国家")]
        public string Country { get; set; } = string.Empty;

        [Required]
        [Display(Name = "语言")]
        public string Language { get; set; } = string.Empty;

        [Required]
        [Display(Name = "时区")]
        public string TimeZone { get; set; } = string.Empty;

        public List<PageRevision> RecentlyModified { get; set; } = new();
    }
}
